Subject: RE: bash bug report? Minor border case:
From: "linda w \(cyg\)" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Sun, 30 Mar 2003 09:56:37 -0800

Is bash a cygwin app or a central part of the cygwin DLL?

Guess bash must be part of cygwin.  I always thought it was
an app.  Silly me.

-linda

> -----Original Message-----
> From: Igor Pechtchanski [mailto:[email-masked]]
> Sent: Sat, Mar 29, 2003 5:22p
> To: linda w (cyg)
> Cc: [email-masked]; [email-masked]
> Subject: Re: bash bug report? Minor border case:
>
>
> Linda,
>
> According to <http://cygwin.com/lists.html#available-lists>, this is
> off-topic for the <cygwin-apps at cygwin dot com> list.  Please remove
> <cygwin-apps at cygwin dot com> from further replies.
> 	Igor
>
> On Sat, 29 Mar 2003, linda w (cyg) wrote:
>
> > Valid filename created by app:
> > \Documents and Settings\law\My
> >
> Documents\win\registry2\regtweaks\Kellys_XP_Tweaks\download.co
> m.com\clear\redx\c.gif-ts=-104976066&edId=3&prtnr=CNET+Networks,+Inc.&
> >
> oid=3000-2094-10126096&ptId=3000&onId=2094&sId=4&asId=10126096
> &pId=10126096&asType=Product
> >
> > exactly 255 characters long.
> >
> > Unfortunately, there is a bit of a 'normalization problem'.
> >
> > If one does a 'updatedb', it complains that "C:\\Documents
> and Settings\law\My
> >
> Documents\win\registry2\regtweaks\Kellys_XP_Tweaks\download.co
> m.com\clear\redx\c.gif-ts=-104976066&edId=3&prtnr=CNET+Networks,+Inc.&
> >
> oid=3000-2094-10126096&ptId=3000&onId=2094&sId=4&asId=10126096
> &pId=10126096&asType=Product"
> >
> > is too long a filename (and@258 characters, it is), however if
> > it were normalized to either cygwin (using native normalization
> > semantics) to either the above w/o "C:\" or just "/c/Doc..." then
> > it should work.
> >
> > Similar bug is in 'cmd.exe' (XP), but@least in "bash", you can
> > put double quotes  around the string and it will work with 'ls'.
> >
> > Not sure of the best way to address it, but believe it or not I
> > have 3 files with such weird names.
> > -linda
>
> --
> 				http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_		[email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
>      |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski
>     '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
>
> Oh, boy, virtual memory! Now I'm gonna make myself a really
> *big* RAMdisk!
>   -- /usr/games/fortune
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/